Skip to Content
Nfc tags

Get NFC Card Key

Acesso

Membro da organização com pelo menos uma destas permissões:

  • nfc-tags:read
  • nfc-tags:pos:charge
  • nfc-tags:pos:top-up
  • nfc-tags:write

Uma chave de API com scopes também precisa da permissão nos seus scopes.

POST
/orgs/{organizationId}/nfc-tags/card-key

Returns the diversified Ultralight C key for one card UID under the organization's current master, plus the keys a card may still carry (NXP factory key, card keys under older masters) so a provisioning session can re-key it.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Request Body

application/json
  1. body
uid*string
Match^[A-Z0-9]+$
Length1 <= length

Response Body

OK

application/json
  1. response
uid*string
keyScheme*unknown
keyVersion*integer
Range-9007199254740991 <= value <= 9007199254740991
cardKeyHex?unknown
factoryKeyHex?unknown
previousCardKeyHexes*array<unknown|null>
Example Request
curl -X POST 'https://api.tillor.eu/orgs//nfc-tags/card-key' \  -H 'Content-Type: application/json' \  -d '{  "uid": "string"}'
Example Response
{  "uid": "string",  "keyScheme": "tillor-ulc-v1",  "keyVersion": -9007199254740991,  "cardKeyHex": null,  "factoryKeyHex": null,  "previousCardKeyHexes": [    null  ]}